Package org.apache.tapestry5.corelib

# Enum ClientValidation

java.lang.Object
java.lang.Enum<ClientValidation>
org.apache.tapestry5.corelib.ClientValidation

All Implemented Interfaces:
  `Serializable`, `Comparable<ClientValidation>`, `java.lang.constant.Constable`

public enum ClientValidation extends Enum<ClientValidation>
Controls if and how client-side form input validation occurs.

Since:
  5.2.2

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLUR`
  Deprecated.
  Deprecated in 5.4, and no longer supported.
  `NONE`
  Client-side validation is disabled.
  `SUBMIT`
  Fields only validate when the form submits (validation errors will prevent the form from actually submitting).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ClientValidation`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ClientValidation[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BLUR

    public static final ClientValidation BLUR
    Deprecated.
    Deprecated in 5.4, and no longer supported.
    Fields validate as the user tabs out of them ("onblur" client side event), as well as when the form submits.

  - ### SUBMIT

    public static final ClientValidation SUBMIT
    Fields only validate when the form submits (validation errors will prevent the form from actually submitting). This is the default behavior.

  - ### NONE

    public static final ClientValidation NONE
    Client-side validation is disabled.

- ## Method Details

  - ### values

    public static ClientValidation[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ClientValidation valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null